Bug 428655 - Word files fail to open
Summary: Word files fail to open
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org   
(Show other bugs)
Version: rawhide
Hardware: x86_64 Linux
high
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL: http://pfj.fedorapeople.org/Draft_ES8...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-01-14 13:03 UTC by Paul F. Johnson
Modified: 2008-01-19 13:31 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-19 13:31:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 84811 None None None Never

Description Paul F. Johnson 2008-01-14 13:03:14 UTC
Description of problem:
Importing a word file >1Mb causes OOo writer to hang (no trace given)

Version-Release number of selected component (if applicable):
2.4.0-1.2

How reproducible:
Always

Steps to Reproduce:
1. Import a word file >1Mb (must include formulae and images)
2.
3.
  
Actual results:
OOo writer reports it's importing, gets to 100% on the progress bar then sits there

Expected results:
Should import or die with some sort of throwback

Additional info:
Import works fine on files <1Mb (my file is 1.6Mb, but I don't have any native
word files over 900k to 1.5Mb to test with)

Comment 1 Caolan McNamara 2008-01-15 12:52:50 UTC
Can you share with me a guaranteed to fail document ? I got success with e.g. a
4Meg doc I have here locally.

Comment 2 Paul F. Johnson 2008-01-15 23:24:38 UTC
URL attached. If the file has been created in OOo and exported to Word, the
import works. If the file is native Word, it flunks.

Comment 3 Caolan McNamara 2008-01-16 09:33:26 UTC
Ah, the *crashreporter* hangs, with that fixed then it's a straightforward crasher

Comment 4 Paul F. Johnson 2008-01-16 09:59:19 UTC
Nasty one to fix or something for the next rawhide push?

Comment 5 Caolan McNamara 2008-01-16 10:14:06 UTC
Oh trivial to fix, it won't be in the spin I made last night which'll be the
next to hit rawhide, but it will be in >= 2.4.0-3.1 which I'll be making today

Comment 6 Paul F. Johnson 2008-01-16 10:24:25 UTC
Will 2.4.0-3.1 contain a fix for the vanishing pictures bug reported a couple of
days back?

Comment 7 Caolan McNamara 2008-01-16 10:50:04 UTC
I forget the id of that bugzilla, but it might be in 2.4.0-3.1 or maybe 2.4.0-4.1.

FWIW, If I could remember the bugzilla id then to find out I'd look at the
referenced OOo id, and use http://eis.services.openoffice.org/ to look up that
in the search box with iXXXXX where XXXXX was the OOO id and it'll say the
"workspace" it is in and if that workspace is "integrated" or not, and if it is
integrated it'll say which version it was integrated into, e.g. OOH680_mY" where
Y is the 2.4.0-Y.1 fedora version.

Comment 8 Paul F. Johnson 2008-01-16 11:01:48 UTC
BZ 428635

Comment 9 Paul F. Johnson 2008-01-16 11:24:08 UTC
Is there an ETA on 2.4.0-4.1? I really need the basic shapes more than Word import!


Note You need to log in before you can comment on or make changes to this bug.